#!/bin/bash

# This is a hotfix for SSS-1292 (SNMP Contact Validation Field)

set -Eeu

SW_VERSION="$(grep -o '[0-9]\.[0-9]\.[0-9]' /etc/motd)"
HOTPATCH_CONFIG=/etc/hotpatch.conf
SNMP_PHP_PATH=/srv/www2/app/Model/Snmp.php
SYSTEM_MODEL_PATH=/srv/www2/app/Model/System.php

patch ${SNMP_PHP_PATH} <<EOF
diff --git a/usr/src/spectracom/www2/app/Model/Snmp.php b/usr/src/spectracom/www2/app/Model/Snmp.php
index 549c1972c..ff5190e81 100644
--- a/usr/src/spectracom/www2/app/Model/Snmp.php
+++ b/usr/src/spectracom/www2/app/Model/Snmp.php
@@ -69,7 +69,10 @@ class Snmp extends AppModel
                             'rule' => '/^[0-9].[0-9.0-9]*/',
                             'message' => 'Alphabets and numbers only',
                             'allowEmpty' => false)),
-            'sys_contact' => 'email',
+            'sys_contact' => array(
+                            'rule' => '/^[a-zA-Z0-9:;,\-@.]{1,255}$/',
+                            'message' => 'Must be a valid contact',
+                            'allowEmpty' => false),
             'sys_location' => array(
                     'ascii'=> array(
                             'rule' => '/^[\x20-\x7e]{1,255}$/', //Text box limit is < 255
--
2.30.2
EOF

echo "${SW_VERSION} SNMP Contact Validation Field" >>${HOTPATCH_CONFIG}

# Change system.php to target hotpatch.conf files in /etc/, so that it is not preserved by filelist.txt
sed -i "s/const HOTPATCH_CONFIG = '\/home\/spectracom\/config\/hotpatch.conf';/const HOTPATCH_CONFIG = '\/etc\/hotpatch.conf';/" ${SYSTEM_MODEL_PATH}
